[DEFAULT]
# where should the pqm queue structure, logs etc be placed.
queuedir=/tmp/queue

# what directory to work in - revisions are checked out here, and so forth.
# defaults to a subdir of queuedir. Normally not set.
#workdir=

# where are logs stored - similar to workdir.
#logdir=

#master logfile location. Again, default should be all you need.
#logfile=

# what keyring to verify emails from. Trusts all user in the keyring.
# Place ONLY users you trust to commit in this keyring.
keyring=/home/walters/.gnupg/pubring.gpg

# where is the tla/baz/arx program - usually not needed
#arch_path=/path/to/tla

# what is the pqm name. Normally not set.
#myname=Patch Queue Manager

# what email address should pqm send out it's address's from.
from_address=walters+pqm@verbum.org

# send notification on success and failure. normally not set.
#mail_reply=1

# verify gpg signatures on email. DISABLING ALLOWS ANYONE TO TRIGGER MERGES.
# BEWARE!!!!!!!!!!
#verify_sigs=1

# don't override the home dir. Use and set to 1 if you:
# have setup a uid just for pqm
# have the queuedir != to the pqm homedir.
# if you followed the manuals example of /usr/src/tla-pqm for the pqm homedir, 
# and you use anything other than /usr/src/tla-pqm for the queuedir, you would need this.
#dont_set_home=0

# an external command to allow/disallow commits. 
# Return non-zero to signal error.
#precommit_hook=foo-bar.sh param1 param2

# Build a config-manager config before doing any merges etc.
# Allows precommit hooks to work with config-based packages.
#build_config=foo@bar/c[[--b]--v]/configs/foobar/development

#define groups
#groups=staff
#[staff]
#members=joe@example.com

[location overrides]
# this sections provides location mappings - where a 
# configuration (and eventually normal sections)
# reference something, a local reference which may
# (for instance) be read-write, or faster, is used.
/new/value=http://public-value.com


# This section enables merges into this branch.
[/home/src/hello-word]
# per section keys follow 

published_at=http://hello-world.example.com
publish_to=hello-world.example.com:public_html

# an external command to allow/disallow commits. 
# Return non-zero to signal error.
#precommit_hook=foo-bar.sh param1 param2

# Build a tla config before doing any merges etc.
# Allows precommit hooks to work with config-based packages.
#build_config=foo@bar/c[[--b]--v]/configs/foobar/development

# Use a specific base directory instead of a dynamically calculated one.
#build_dir=/home/temp/foo

# restrict commits
#commiters=staff

# Confirm that commit messages match a specified regexp.
# Allows a policy to be defined (per-revision) for what the commit
# messages must look like (providing they can be described by a regular
# expression)
# The regexp is automatically anchored at the start of the message
# so if you need it to match later, put .* at the start of your
# regexp
#
# This example matches rs=bar, r=foo and [trivial] caselessly
#commit_re=.*([rR][sS]?=[^ \t]+)|(\[[Tt][Rr][Ii][Vv][Ii][Aa][Ll]\])

# arch-tag: Simple sample configuration file for tla-pqm
